Bug 214523 - devel/msgpack: modernize
Summary: devel/msgpack: modernize
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-11-15 03:29 UTC by Jan Beich
Modified: 2016-12-11 16:24 UTC (History)
1 user (show)

See Also:


Attachments
v1 (1020 bytes, patch)
2016-11-15 03:29 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-11-15 03:29:31 UTC
Created attachment 177012 [details]
v1

- Add |make test| support [1] after ports r398125
- Convert to install-strip from automake
- Drop ports r248211 it builds fine on 9.3/10.1/11.0 [2]

[1] caveat: broken on 9.x (due to C++11) which reaches EOL in 2016-12-31
[2] If you really want to keep it here's more correct version that
    doesn't override -march from CPUTYPE defined in make.conf

      .if empty(CFLAGS:M-march=*)
      CFLAGS_i386+=	-march=i686
      .endif
Comment 1 Jan Beich freebsd_committer 2016-11-15 03:31:53 UTC
poudriere bulk -t is green on 93i386, 93amd64, 101i386, 103amd64, 110i386, head-amd64
Comment 2 commit-hook freebsd_committer 2016-12-11 16:24:55 UTC
A commit references this bug:

Author: jbeich
Date: Sun Dec 11 16:23:50 UTC 2016
New revision: 428363
URL: https://svnweb.freebsd.org/changeset/ports/428363

Log:
  devel/msgpack: modernize

  - Add |make test| support after ports r398125
  - Convert to install-strip from automake
  - Drop ports r248211 it builds fine on 9.3/10.1/11.0

  PR:		214523
  Approved by:	maintainer timeout (3 weeks)

Changes:
  head/devel/msgpack/Makefile